Bug 821774 - libtasn1: Gnulib bundled but no bundled(gnulib) provides
libtasn1: Gnulib bundled but no bundled(gnulib) provides
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: libtasn1 (Show other bugs)
19
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Mraz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-15 09:55 EDT by Mikolaj Izdebski
Modified: 2013-08-26 05:45 EDT (History)
3 users (show)

See Also:
Fixed In Version: libtasn1-3.3-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-26 05:45:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mikolaj Izdebski 2012-05-15 09:55:21 EDT
A bundled copy of Gnulib - The GNU Portability Library [1] was found in
libtasn1. No Bundled Libraries section [2] of Packaging guidelines
gives more information on bundled libraries and how they should be handled.

Affected libtasn1 version: libtasn1-2.12-1.fc18

As a kind of copylib, Gnulib has been granted an exception. However, to comply
with Packaging guidelines, packages bundling Gnulib must note that the library
has been granted an exception in the spec file comment with a link to the FPC
ticket where the exception was granted and add a virtual provide to the spec
file to note that Gnulib is bundled. Refer to [2] for more details.

No comment about bundling Gnulib and no virtual provide were found in the
libtasn1.spec file. To comply with the packaging guideliness please
add an appropriate comment to the spec file as well as a virtual provide.

Source tarball where bundled Gnulib was found:
    libtasn1-2.12.tar.gz

At least the following files look like Gnulib files:
    ./libtasn1-2.12/gl/m4/00gnulib.m4
    ./libtasn1-2.12/lib/glm4/gnulib-comp.m4
    ./libtasn1-2.12/lib/gllib/Makefile.in
    ./libtasn1-2.12/lib/gllib/Makefile.am
    ./libtasn1-2.12/gl/Makefile.in
    ./libtasn1-2.12/gl/Makefile.am
    ./libtasn1-2.12/gl/m4/gnulib-comp.m4

There are most likely more Gnulib files bundled in the SRPM. I didn't bother
to list them all as it shouldn't be necessary.


[1] http://www.gnu.org/software/gnulib/
[2] http://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries
Comment 1 Fedora Admin XMLRPC Client 2013-02-27 16:13:32 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Fedora End Of Life 2013-04-03 14:24:10 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 3 Tomas Mraz 2013-08-26 05:45:53 EDT
This is already fixed in current libtasn1 in F19

Note You need to log in before you can comment on or make changes to this bug.